; 
; Modified by Ulli Neudecker
; Writes ln bytes from src to dst starting at stp    
      .486
      .model flat, stdcall  ; 32 bit memory model
      option casemap :none  ; case sensitive

    .code

; 

align 4

szMidW proc dst:DWORD,src:DWORD,stp:DWORD,ln:DWORD

    push edi

    mov ecx, ln             ; length in ECX
    mov edx, dst            ; source address
    add edx, ecx            ; add required length
    add edx, stp            ; add starting position
    mov edi, src            ; destination address
    add edi, ecx            ; add length and set terminator position
    neg ecx                 ; invert sign

  @@:
    mov al, [edi+ecx]
    mov [edx+ecx], al
    add ecx, 1
    jnz @B
    pop edi

    ret

szMidW endp

; 

end